<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title><?php wp_title( '-', true, 'right' ); echo esc_html( get_bloginfo('name'), 1 ); ?></title>
<meta name="copyright" content="Copyright 2004-2011 Jeff Studio, All Rights Reserved." />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" />
<?php wp_head(); ?>
</head>

<body <?php body_class() ?>>
<div id="top">
<div id="masthead">
<a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('name'); ?> - <?php bloginfo('description'); ?>" id="logo"><img src="<?php bloginfo('template_url'); ?>/images/logo.png" border="0" alt="<?php bloginfo('name'); ?>" /></a>
</div>
<div class="clear"></div>
<?php include (TEMPLATEPATH . '/searchform.php'); ?>

<div class="clear"></div>
</div>
<div class="container">

<div class="wrapper">
<div id="menu">
<ul class="menunav">
<?php wp_list_categories('orderby=name&show_count=0&title_li=&depth=2'); ?>
</ul>

<div class="nav-wrapper right">
<ul>
<li><a href="http://www.jeff-chen.com/studio/" title="关于我们">关于我们</a></li>
<li><a href="http://www.jeff-chen.com/contact-us/" title="联系我们">联系我们</a></li>
</ul>
</div><div class="clear"></div>

</div>
</div>
<div class="clear"></div>

<div class="container-inner">